﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class PageSizeChanged : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void  RadGrid1_PageSizeChanged(object sender, Telerik.Web.UI.GridPageSizeChangedEventArgs e)
    {
 	    Label1.Text = "Page size changed " + DateTime.Now.ToString();   
    }

    protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = SampleData;
    }

    public DataTable SampleData
    {
        get
        {
            if (Session["_data"] == null || !Page.IsPostBack)
            {
                DataTable table = new DataTable();
                table.Columns.Add("ID", Type.GetType("System.Int32"));
                table.Columns.Add("Value1", Type.GetType("System.Double"));
                table.Columns.Add("Value2", Type.GetType("System.Double"));
                table.Columns.Add("Value3", Type.GetType("System.Double"));

                Random rand = new Random();

                for (int i = 0; i < 100; i++)
                {
                    table.Rows.Add(i,
                                   rand.Next(0, 50),
                                   rand.Next(0, 50),
                                   i * 12);
                }

                Session["_data"] = table;
            }

            DataTable original = (DataTable)Session["_data"];
            DataTable ret = original.Clone();
            DataRow[] sortedRows = original.Select("", "ID ASC");
            foreach (DataRow row in sortedRows)
            {
                ret.Rows.Add(row.ItemArray);
            }

            return ret;
        }
    }
}